<?php
	session_start();
	if(isset($_SESSION["sesion_administrador"]))
	{
		include ("../../BD/conexion_bd.php");
		if(!$conexion)
		{
			die("error al intentar conectar: " .mysql_error());
		}
		mysql_query("SET NAMES 'utf8'");
		
		$select="SELECT pass FROM Pass_Admin WHERE Administrador_Usuario='".$_POST['oculto']."'";
		$sql_select=mysql_query($select,$conexion);
		$row=mysql_fetch_assoc($sql_select);
		if(md5($_POST['password_anterior'])==$row['pass'])
		{
		
			$delete="DELETE FROM Pass_Admin";
			mysql_query($delete,$conexion);
			$delete="DELETE FROM Administrador";
			mysql_query($delete,$conexion);
			
			$insert="INSERT INTO Administrador (Usuario, Nombre, Apellidos) VALUES ('".$_POST['nuevo_usuario']."', 'Jonathan', 'Delgado')";
			mysql_query($insert,$conexion);
			
			$insert="INSERT INTO Pass_Admin (id, pass, Administrador_Usuario) VALUES (NULL, '".md5($_POST['password_nuevo1'])."', '".$_POST['nuevo_usuario']."')";
			mysql_query($insert,$conexion);
			
			echo "Se han realizado los cambios correctamente!";
		}
		else
			{
				echo "La 'contraseña actual' que escribió es incorrecta, por favor verifique...";
			}
		mysql_close();
	}


?>